| Home | Libraries | People | FAQ | More

##### inserter(Container &)

Insert iterator generator.

###### Description

Returns insert iterator capable to insert values to the container (spatial index) which has member function insert(value_type const&) defined.

###### Synopsis

    template<typename Container>
    insert_iterator< Container > inserter(Container & c)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`Container &` | `c` | The reference to the container (spatial index) to which values will be inserted.

###### Returns

The insert iterator inserting values to the container.